// Code generated by helical. DO NOT EDIT.
//  based on github.com/nicklaw5/helix/v2

package helical

import (
	"fmt"

	"github.com/nicklaw5/helix/v2"
)

func (self *client) AddBlockedTerm(arg1 *helix.AddBlockedTermParams) (out0 helix.ManyAddBlockedTerms, out1 error) {
	resp, out1 := self.helix.AddBlockedTerm(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"AddBlockedTerm: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) AddChannelModerator(arg1 *helix.AddChannelModeratorParams) (_ *helix.AddChannelModeratorResponse, out1 error) {
	_, out1 = self.helix.AddChannelModerator(arg1)
	if out1 != nil {
		return
	}
	
	return
}

func (self *client) AddChannelVip(arg1 *helix.AddChannelVipParams) (_ *helix.AddChannelVipResponse, out1 error) {
	_, out1 = self.helix.AddChannelVip(arg1)
	if out1 != nil {
		return
	}
	
	return
}

func (self *client) BanUser(arg1 *helix.BanUserParams) (out0 helix.ManyBanUser, out1 error) {
	resp, out1 := self.helix.BanUser(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"BanUser: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) BlockUser(arg1 *helix.BlockUserParams) (_ *helix.BlockUserResponse, out1 error) {
	_, out1 = self.helix.BlockUser(arg1)
	if out1 != nil {
		return
	}
	
	return
}

func (self *client) CancelRaid(arg1 *helix.CancelRaidParams) (_ *helix.CancelRaidResponse, out1 error) {
	_, out1 = self.helix.CancelRaid(arg1)
	if out1 != nil {
		return
	}
	
	return
}

func (self *client) CheckUserSubscription(arg1 *helix.UserSubscriptionsParams) (out0 helix.ManyUserSubscriptions, out1 error) {
	resp, out1 := self.helix.CheckUserSubscription(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"CheckUserSubscription: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) CreateClip(arg1 *helix.CreateClipParams) (out0 helix.ManyClipEditURLs, out1 error) {
	resp, out1 := self.helix.CreateClip(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"CreateClip: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) CreateCustomReward(arg1 *helix.ChannelCustomRewardsParams) (out0 helix.ManyChannelCustomRewards, out1 error) {
	resp, out1 := self.helix.CreateCustomReward(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"CreateCustomReward: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) CreateEntitlementsUploadURL(arg1 string, arg2 string) (out0 helix.ManyEntitlementsUploadURLs, out1 error) {
	resp, out1 := self.helix.CreateEntitlementsUploadURL(arg1, arg2)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"CreateEntitlementsUploadURL: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) CreateEventSubSubscription(arg1 *helix.EventSubSubscription) (out0 helix.ManyEventSubSubscriptions, out1 error) {
	resp, out1 := self.helix.CreateEventSubSubscription(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"CreateEventSubSubscription: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) CreateExtensionSecret(arg1 *helix.ExtensionSecretCreationParams) (out0 helix.ManyExtensionSecrets, out1 error) {
	resp, out1 := self.helix.CreateExtensionSecret(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"CreateExtensionSecret: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) CreatePoll(arg1 *helix.CreatePollParams) (out0 helix.ManyPolls, out1 error) {
	resp, out1 := self.helix.CreatePoll(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"CreatePoll: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) CreatePrediction(arg1 *helix.CreatePredictionParams) (out0 helix.ManyPredictions, out1 error) {
	resp, out1 := self.helix.CreatePrediction(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"CreatePrediction: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) CreateScheduleSegment(arg1 *helix.CreateScheduleSegmentParams) (out0 helix.CreateScheduleSegmentData, out1 error) {
	resp, out1 := self.helix.CreateScheduleSegment(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"CreateScheduleSegment: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) CreateStreamMarker(arg1 *helix.CreateStreamMarkerParams) (out0 helix.ManyCreateStreamMarkers, out1 error) {
	resp, out1 := self.helix.CreateStreamMarker(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"CreateStreamMarker: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) DeleteAllChatMessages(arg1 *helix.DeleteAllChatMessagesParams) (_ *helix.DeleteAllChatMessagesResponse, out1 error) {
	_, out1 = self.helix.DeleteAllChatMessages(arg1)
	if out1 != nil {
		return
	}
	
	return
}

func (self *client) DeleteChatMessage(arg1 *helix.DeleteChatMessageParams) (_ *helix.DeleteChatMessageResponse, out1 error) {
	_, out1 = self.helix.DeleteChatMessage(arg1)
	if out1 != nil {
		return
	}
	
	return
}

func (self *client) DeleteCustomRewards(arg1 *helix.DeleteCustomRewardsParams) (_ *helix.DeleteCustomRewardsResponse, out1 error) {
	_, out1 = self.helix.DeleteCustomRewards(arg1)
	if out1 != nil {
		return
	}
	
	return
}

func (self *client) DeleteScheduleSegment(arg1 *helix.DeleteScheduleSegmentParams) (_ *helix.DeleteScheduleSegmentResponse, out1 error) {
	_, out1 = self.helix.DeleteScheduleSegment(arg1)
	if out1 != nil {
		return
	}
	
	return
}

func (self *client) DeleteVideos(arg1 *helix.DeleteVideosParams) (_ *helix.DeleteVideosResponse, out1 error) {
	_, out1 = self.helix.DeleteVideos(arg1)
	if out1 != nil {
		return
	}
	
	return
}

func (self *client) EditChannelInformation(arg1 *helix.EditChannelInformationParams) (_ *helix.EditChannelInformationResponse, out1 error) {
	_, out1 = self.helix.EditChannelInformation(arg1)
	if out1 != nil {
		return
	}
	
	return
}

func (self *client) EndPoll(arg1 *helix.EndPollParams) (out0 helix.ManyPolls, out1 error) {
	resp, out1 := self.helix.EndPoll(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"EndPoll: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) EndPrediction(arg1 *helix.EndPredictionParams) (out0 helix.ManyPredictions, out1 error) {
	resp, out1 := self.helix.EndPrediction(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"EndPrediction: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) ExtensionCreateClaims(arg1 *helix.ExtensionCreateClaimsParams) (out0 *helix.TwitchJWTClaims, out1 error) {
	out0, out1 = self.helix.ExtensionCreateClaims(arg1)
	if out1 != nil {
		return
	}
	
	return
}

func (self *client) ExtensionJWTSign(arg1 *helix.TwitchJWTClaims) (out0 string, out1 error) {
	out0, out1 = self.helix.ExtensionJWTSign(arg1)
	if out1 != nil {
		return
	}
	
	return
}

func (self *client) ExtensionJWTVerify(arg1 string) (out0 *helix.TwitchJWTClaims, out1 error) {
	out0, out1 = self.helix.ExtensionJWTVerify(arg1)
	if out1 != nil {
		return
	}
	
	return
}

func (self *client) FormBroadcastSendPubSubPermissions() (out0 *helix.PubSubPermissions) {
	out0 = self.helix.FormBroadcastSendPubSubPermissions()
	
	
	return
}

func (self *client) FormGenericPubSubPermissions() (out0 *helix.PubSubPermissions) {
	out0 = self.helix.FormGenericPubSubPermissions()
	
	
	return
}

func (self *client) FormGlobalSendPubSubPermissions() (out0 *helix.PubSubPermissions) {
	out0 = self.helix.FormGlobalSendPubSubPermissions()
	
	
	return
}

func (self *client) FormWhisperSendPubSubPermissions(arg1 string) (out0 *helix.PubSubPermissions) {
	out0 = self.helix.FormWhisperSendPubSubPermissions(arg1)
	
	
	return
}

func (self *client) GetAppAccessToken() (out0 string) {
	out0 = self.helix.GetAppAccessToken()
	
	
	return
}

func (self *client) GetAuthorizationURL(arg1 *helix.AuthorizationURLParams) (out0 string) {
	out0 = self.helix.GetAuthorizationURL(arg1)
	
	
	return
}

func (self *client) GetBannedUsers(arg1 *helix.BannedUsersParams) (out0 helix.ManyBans, out1 error) {
	resp, out1 := self.helix.GetBannedUsers(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"GetBannedUsers: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) GetBitsLeaderboard(arg1 *helix.BitsLeaderboardParams) (out0 helix.ManyUserBitTotals, out1 error) {
	resp, out1 := self.helix.GetBitsLeaderboard(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"GetBitsLeaderboard: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) GetBlockedTerms(arg1 *helix.BlockedTermsParams) (out0 helix.ManyBlockedTerms, out1 error) {
	resp, out1 := self.helix.GetBlockedTerms(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"GetBlockedTerms: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) GetChannelChatBadges(arg1 *helix.GetChatBadgeParams) (out0 helix.ManyChatBadge, out1 error) {
	resp, out1 := self.helix.GetChannelChatBadges(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"GetChannelChatBadges: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) GetChannelChatChatters(arg1 *helix.GetChatChattersParams) (out0 helix.ManyChatChatters, out1 error) {
	resp, out1 := self.helix.GetChannelChatChatters(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"GetChannelChatChatters: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) GetChannelEditors(arg1 *helix.ChannelEditorsParams) (out0 helix.ManyChannelEditors, out1 error) {
	resp, out1 := self.helix.GetChannelEditors(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"GetChannelEditors: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) GetChannelEmotes(arg1 *helix.GetChannelEmotesParams) (out0 helix.ManyEmotes, out1 error) {
	resp, out1 := self.helix.GetChannelEmotes(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"GetChannelEmotes: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) GetChannelFollows(arg1 *helix.GetChannelFollowsParams) (out0 helix.ManyChannelFollows, out1 error) {
	resp, out1 := self.helix.GetChannelFollows(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"GetChannelFollows: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) GetChannelInformation(arg1 *helix.GetChannelInformationParams) (out0 helix.ManyChannelInformation, out1 error) {
	resp, out1 := self.helix.GetChannelInformation(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"GetChannelInformation: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) GetChannelVips(arg1 *helix.GetChannelVipsParams) (out0 helix.ManyChannelVips, out1 error) {
	resp, out1 := self.helix.GetChannelVips(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"GetChannelVips: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) GetCharityCampaigns(arg1 *helix.CharityCampaignsParams) (out0 helix.ManyCharityCampaigns, out1 error) {
	resp, out1 := self.helix.GetCharityCampaigns(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"GetCharityCampaigns: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) GetCharityDonations(arg1 *helix.CharityDonationParams) (out0 helix.ManyCharityDonations, out1 error) {
	resp, out1 := self.helix.GetCharityDonations(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"GetCharityDonations: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) GetChatSettings(arg1 *helix.GetChatSettingsParams) (out0 helix.ManyChatSettings, out1 error) {
	resp, out1 := self.helix.GetChatSettings(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"GetChatSettings: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) GetCheermotes(arg1 *helix.CheermotesParams) (out0 helix.ManyCheermotes, out1 error) {
	resp, out1 := self.helix.GetCheermotes(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"GetCheermotes: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) GetClips(arg1 *helix.ClipsParams) (out0 helix.ManyClips, out1 error) {
	resp, out1 := self.helix.GetClips(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"GetClips: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) GetCreatorGoals(arg1 *helix.GetCreatorGoalsParams) (out0 helix.ManyGoals, out1 error) {
	resp, out1 := self.helix.GetCreatorGoals(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"GetCreatorGoals: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) GetCustomRewards(arg1 *helix.GetCustomRewardsParams) (out0 helix.ManyChannelCustomRewards, out1 error) {
	resp, out1 := self.helix.GetCustomRewards(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"GetCustomRewards: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) GetDropsEntitlements(arg1 *helix.GetDropEntitlementsParams) (out0 helix.ManyEntitlementsWithPagination, out1 error) {
	resp, out1 := self.helix.GetDropsEntitlements(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"GetDropsEntitlements: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) GetEmoteSets(arg1 *helix.GetEmoteSetsParams) (out0 helix.ManyEmotesWithOwner, out1 error) {
	resp, out1 := self.helix.GetEmoteSets(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"GetEmoteSets: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) GetEntitlementCodeStatus(arg1 *helix.CodesParams) (out0 helix.ManyCodes, out1 error) {
	resp, out1 := self.helix.GetEntitlementCodeStatus(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"GetEntitlementCodeStatus: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) GetEventSubSubscriptions(arg1 *helix.EventSubSubscriptionsParams) (out0 helix.ManyEventSubSubscriptions, out1 error) {
	resp, out1 := self.helix.GetEventSubSubscriptions(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"GetEventSubSubscriptions: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) GetExtensionAnalytics(arg1 *helix.ExtensionAnalyticsParams) (out0 helix.ManyExtensionAnalytics, out1 error) {
	resp, out1 := self.helix.GetExtensionAnalytics(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"GetExtensionAnalytics: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) GetExtensionConfigurationSegment(arg1 *helix.ExtensionGetConfigurationParams) (out0 helix.ManyExtensionConfigurationSegments, out1 error) {
	resp, out1 := self.helix.GetExtensionConfigurationSegment(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"GetExtensionConfigurationSegment: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) GetExtensionLiveChannels(arg1 *helix.ExtensionLiveChannelsParams) (out0 helix.ManyExtensionLiveChannels, out1 error) {
	resp, out1 := self.helix.GetExtensionLiveChannels(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"GetExtensionLiveChannels: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) GetExtensionSecrets(arg1 *helix.GetExtensionSecretParams) (out0 helix.ManyExtensionSecrets, out1 error) {
	resp, out1 := self.helix.GetExtensionSecrets(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"GetExtensionSecrets: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) GetExtensionSignedJWTToken() (out0 string) {
	out0 = self.helix.GetExtensionSignedJWTToken()
	
	
	return
}

func (self *client) GetExtensionTransactions(arg1 *helix.ExtensionTransactionsParams) (out0 helix.ManyExtensionTransactions, out1 error) {
	resp, out1 := self.helix.GetExtensionTransactions(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"GetExtensionTransactions: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) GetFollowedChannels(arg1 *helix.GetFollowedChannelParams) (out0 helix.ManyFollowedChannels, out1 error) {
	resp, out1 := self.helix.GetFollowedChannels(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"GetFollowedChannels: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) GetFollowedStream(arg1 *helix.FollowedStreamsParams) (out0 helix.ManyStreams, out1 error) {
	resp, out1 := self.helix.GetFollowedStream(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"GetFollowedStream: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) GetGameAnalytics(arg1 *helix.GameAnalyticsParams) (out0 helix.ManyGameAnalytics, out1 error) {
	resp, out1 := self.helix.GetGameAnalytics(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"GetGameAnalytics: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) GetGames(arg1 *helix.GamesParams) (out0 helix.ManyGames, out1 error) {
	resp, out1 := self.helix.GetGames(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"GetGames: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) GetGlobalChatBadges() (out0 helix.ManyChatBadge, out1 error) {
	resp, out1 := self.helix.GetGlobalChatBadges()
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"GetGlobalChatBadges: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) GetGlobalEmotes() (out0 helix.ManyEmotes, out1 error) {
	resp, out1 := self.helix.GetGlobalEmotes()
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"GetGlobalEmotes: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) GetHypeTrainEvents(arg1 *helix.HypeTrainEventsParams) (out0 helix.ManyHypeTrainEvents, out1 error) {
	resp, out1 := self.helix.GetHypeTrainEvents(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"GetHypeTrainEvents: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) GetModerators(arg1 *helix.GetModeratorsParams) (out0 helix.ManyModerators, out1 error) {
	resp, out1 := self.helix.GetModerators(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"GetModerators: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) GetPolls(arg1 *helix.PollsParams) (out0 helix.ManyPolls, out1 error) {
	resp, out1 := self.helix.GetPolls(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"GetPolls: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) GetPredictions(arg1 *helix.PredictionsParams) (out0 helix.ManyPredictions, out1 error) {
	resp, out1 := self.helix.GetPredictions(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"GetPredictions: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) GetRefreshToken() (out0 string) {
	out0 = self.helix.GetRefreshToken()
	
	
	return
}

func (self *client) GetSchedule(arg1 *helix.GetScheduleParams) (out0 helix.GetScheduleData, out1 error) {
	resp, out1 := self.helix.GetSchedule(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"GetSchedule: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) GetStreamKey(arg1 *helix.StreamKeyParams) (out0 helix.ManyStreamKeys, out1 error) {
	resp, out1 := self.helix.GetStreamKey(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"GetStreamKey: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) GetStreamMarkers(arg1 *helix.StreamMarkersParams) (out0 helix.ManyStreamMarkers, out1 error) {
	resp, out1 := self.helix.GetStreamMarkers(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"GetStreamMarkers: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) GetStreams(arg1 *helix.StreamsParams) (out0 helix.ManyStreams, out1 error) {
	resp, out1 := self.helix.GetStreams(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"GetStreams: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) GetSubscriptions(arg1 *helix.SubscriptionsParams) (out0 helix.ManySubscriptions, out1 error) {
	resp, out1 := self.helix.GetSubscriptions(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"GetSubscriptions: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) GetTopGames(arg1 *helix.TopGamesParams) (out0 helix.ManyGamesWithPagination, out1 error) {
	resp, out1 := self.helix.GetTopGames(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"GetTopGames: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) GetUserAccessToken() (out0 string) {
	out0 = self.helix.GetUserAccessToken()
	
	
	return
}

func (self *client) GetUserActiveExtensions(arg1 *helix.UserActiveExtensionsParams) (out0 helix.UserActiveExtensionSet, out1 error) {
	resp, out1 := self.helix.GetUserActiveExtensions(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"GetUserActiveExtensions: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) GetUserChatColor(arg1 *helix.GetUserChatColorParams) (out0 helix.GetUserChatColorResponse, out1 error) {
	resp, out1 := self.helix.GetUserChatColor(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"GetUserChatColor: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) GetUserExtensions() (out0 helix.ManyUserExtensions, out1 error) {
	resp, out1 := self.helix.GetUserExtensions()
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"GetUserExtensions: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) GetUsers(arg1 *helix.UsersParams) (out0 helix.ManyUsers, out1 error) {
	resp, out1 := self.helix.GetUsers(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"GetUsers: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) GetUsersBlocked(arg1 *helix.UsersBlockedParams) (out0 helix.ManyUsersBlocked, out1 error) {
	resp, out1 := self.helix.GetUsersBlocked(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"GetUsersBlocked: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) GetUsersFollows(arg1 *helix.UsersFollowsParams) (out0 helix.ManyFollows, out1 error) {
	resp, out1 := self.helix.GetUsersFollows(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"GetUsersFollows: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) GetVideos(arg1 *helix.VideosParams) (out0 helix.ManyVideos, out1 error) {
	resp, out1 := self.helix.GetVideos(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"GetVideos: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) GetWebhookSubscriptions(arg1 *helix.WebhookSubscriptionsParams) (out0 helix.ManyWebhookSubscriptions, out1 error) {
	resp, out1 := self.helix.GetWebhookSubscriptions(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"GetWebhookSubscriptions: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) ModerateHeldMessage(arg1 *helix.HeldMessageModerationParams) (_ *helix.HeldMessageModerationResponse, out1 error) {
	_, out1 = self.helix.ModerateHeldMessage(arg1)
	if out1 != nil {
		return
	}
	
	return
}

func (self *client) OnUserAccessTokenRefreshed(arg1 func(string, string))  {
	self.helix.OnUserAccessTokenRefreshed(arg1)
	
	
	return
}

func (self *client) PostWebhookSubscription(arg1 *helix.WebhookSubscriptionPayload) (_ *helix.WebhookSubscriptionResponse, out1 error) {
	_, out1 = self.helix.PostWebhookSubscription(arg1)
	if out1 != nil {
		return
	}
	
	return
}

func (self *client) RedeemEntitlementCode(arg1 *helix.CodesParams) (out0 helix.ManyCodes, out1 error) {
	resp, out1 := self.helix.RedeemEntitlementCode(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"RedeemEntitlementCode: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) RefreshUserAccessToken(arg1 string) (out0 helix.AccessCredentials, out1 error) {
	resp, out1 := self.helix.RefreshUserAccessToken(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"RefreshUserAccessToken: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) RemoveBlockedTerm(arg1 *helix.RemoveBlockedTermParams) (_ *helix.RemoveBlockedTermResponse, out1 error) {
	_, out1 = self.helix.RemoveBlockedTerm(arg1)
	if out1 != nil {
		return
	}
	
	return
}

func (self *client) RemoveChannelModerator(arg1 *helix.RemoveChannelModeratorParams) (_ *helix.RemoveChannelModeratorResponse, out1 error) {
	_, out1 = self.helix.RemoveChannelModerator(arg1)
	if out1 != nil {
		return
	}
	
	return
}

func (self *client) RemoveChannelVip(arg1 *helix.RemoveChannelVipParams) (_ *helix.RemoveChannelVipResponse, out1 error) {
	_, out1 = self.helix.RemoveChannelVip(arg1)
	if out1 != nil {
		return
	}
	
	return
}

func (self *client) RemoveEventSubSubscription(arg1 string) (_ *helix.RemoveEventSubSubscriptionParamsResponse, out1 error) {
	_, out1 = self.helix.RemoveEventSubSubscription(arg1)
	if out1 != nil {
		return
	}
	
	return
}

func (self *client) RequestAppAccessToken(arg1 []string) (out0 helix.AccessCredentials, out1 error) {
	resp, out1 := self.helix.RequestAppAccessToken(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"RequestAppAccessToken: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) RequestUserAccessToken(arg1 string) (out0 helix.AccessCredentials, out1 error) {
	resp, out1 := self.helix.RequestUserAccessToken(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"RequestUserAccessToken: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) RevokeUserAccessToken(arg1 string) (_ *helix.RevokeAccessTokenResponse, out1 error) {
	_, out1 = self.helix.RevokeUserAccessToken(arg1)
	if out1 != nil {
		return
	}
	
	return
}

func (self *client) SearchCategories(arg1 *helix.SearchCategoriesParams) (out0 helix.ManySearchCategories, out1 error) {
	resp, out1 := self.helix.SearchCategories(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"SearchCategories: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) SearchChannels(arg1 *helix.SearchChannelsParams) (out0 helix.ManySearchChannels, out1 error) {
	resp, out1 := self.helix.SearchChannels(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"SearchChannels: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) SendChatAnnouncement(arg1 *helix.SendChatAnnouncementParams) (_ *helix.SendChatAnnouncementResponse, out1 error) {
	_, out1 = self.helix.SendChatAnnouncement(arg1)
	if out1 != nil {
		return
	}
	
	return
}

func (self *client) SendChatMessage(arg1 *helix.SendChatMessageParams) (out0 helix.ManyChatMessages, out1 error) {
	resp, out1 := self.helix.SendChatMessage(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"SendChatMessage: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) SendExtensionChatMessage(arg1 *helix.ExtensionSendChatMessageParams) (_ *helix.ExtensionSendChatMessageResponse, out1 error) {
	_, out1 = self.helix.SendExtensionChatMessage(arg1)
	if out1 != nil {
		return
	}
	
	return
}

func (self *client) SendExtensionPubSubMessage(arg1 *helix.ExtensionSendPubSubMessageParams) (_ *helix.ExtensionSendPubSubMessageResponse, out1 error) {
	_, out1 = self.helix.SendExtensionPubSubMessage(arg1)
	if out1 != nil {
		return
	}
	
	return
}

func (self *client) SendShoutout(arg1 *helix.SendShoutoutParams) (_ *helix.SendShoutoutResponse, out1 error) {
	_, out1 = self.helix.SendShoutout(arg1)
	if out1 != nil {
		return
	}
	
	return
}

func (self *client) SendUserWhisper(arg1 *helix.SendUserWhisperParams) (_ *helix.SendUserWhisperResponse, out1 error) {
	_, out1 = self.helix.SendUserWhisper(arg1)
	if out1 != nil {
		return
	}
	
	return
}

func (self *client) SetAppAccessToken(arg1 string)  {
	self.helix.SetAppAccessToken(arg1)
	
	
	return
}

func (self *client) SetExtensionRequiredConfiguration(arg1 *helix.ExtensionSetRequiredConfigurationParams) (_ *helix.ExtensionSetRequiredConfigurationResponse, out1 error) {
	_, out1 = self.helix.SetExtensionRequiredConfiguration(arg1)
	if out1 != nil {
		return
	}
	
	return
}

func (self *client) SetExtensionSegmentConfig(arg1 *helix.ExtensionSetConfigurationParams) (_ *helix.ExtensionSetConfigurationResponse, out1 error) {
	_, out1 = self.helix.SetExtensionSegmentConfig(arg1)
	if out1 != nil {
		return
	}
	
	return
}

func (self *client) SetExtensionSignedJWTToken(arg1 string)  {
	self.helix.SetExtensionSignedJWTToken(arg1)
	
	
	return
}

func (self *client) SetRedirectURI(arg1 string)  {
	self.helix.SetRedirectURI(arg1)
	
	
	return
}

func (self *client) SetRefreshToken(arg1 string)  {
	self.helix.SetRefreshToken(arg1)
	
	
	return
}

func (self *client) SetUserAccessToken(arg1 string)  {
	self.helix.SetUserAccessToken(arg1)
	
	
	return
}

func (self *client) SetUserAgent(arg1 string)  {
	self.helix.SetUserAgent(arg1)
	
	
	return
}

func (self *client) StartCommercial(arg1 *helix.StartCommercialParams) (out0 helix.ManyAdDetails, out1 error) {
	resp, out1 := self.helix.StartCommercial(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"StartCommercial: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) StartRaid(arg1 *helix.StartRaidParams) (out0 helix.StartRaidResponse, out1 error) {
	resp, out1 := self.helix.StartRaid(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"StartRaid: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) UnbanUser(arg1 *helix.UnbanUserParams) (_ *helix.UnbanUserResponse, out1 error) {
	_, out1 = self.helix.UnbanUser(arg1)
	if out1 != nil {
		return
	}
	
	return
}

func (self *client) UnblockUser(arg1 *helix.UnblockUserParams) (_ *helix.BlockUserResponse, out1 error) {
	_, out1 = self.helix.UnblockUser(arg1)
	if out1 != nil {
		return
	}
	
	return
}

func (self *client) UpdateChannelCustomRewardsRedemptionStatus(arg1 *helix.UpdateChannelCustomRewardsRedemptionStatusParams) (out0 helix.ManyChannelCustomRewardsRedemptions, out1 error) {
	resp, out1 := self.helix.UpdateChannelCustomRewardsRedemptionStatus(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"UpdateChannelCustomRewardsRedemptionStatus: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) UpdateChatSettings(arg1 *helix.UpdateChatSettingsParams) (out0 helix.ManyChatSettings, out1 error) {
	resp, out1 := self.helix.UpdateChatSettings(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"UpdateChatSettings: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) UpdateCustomReward(arg1 *helix.UpdateChannelCustomRewardsParams) (out0 helix.ManyChannelCustomRewards, out1 error) {
	resp, out1 := self.helix.UpdateCustomReward(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"UpdateCustomReward: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) UpdateDropsEntitlements(arg1 *helix.UpdateDropsEntitlementsParams) (out0 helix.ManyUpdatedEntitlementSet, out1 error) {
	resp, out1 := self.helix.UpdateDropsEntitlements(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"UpdateDropsEntitlements: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) UpdateSchedule(arg1 *helix.UpdateScheduleParams) (_ *helix.UpdateScheduleResponse, out1 error) {
	_, out1 = self.helix.UpdateSchedule(arg1)
	if out1 != nil {
		return
	}
	
	return
}

func (self *client) UpdateScheduleSegment(arg1 *helix.UpdateScheduleSegmentParams) (out0 helix.UpdateScheduleSegmentData, out1 error) {
	resp, out1 := self.helix.UpdateScheduleSegment(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"UpdateScheduleSegment: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) UpdateUser(arg1 *helix.UpdateUserParams) (out0 helix.ManyUsers, out1 error) {
	resp, out1 := self.helix.UpdateUser(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"UpdateUser: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) UpdateUserChatColor(arg1 *helix.UpdateUserChatColorParams) (_ *helix.UpdateUserChatColorResponse, out1 error) {
	_, out1 = self.helix.UpdateUserChatColor(arg1)
	if out1 != nil {
		return
	}
	
	return
}

func (self *client) UpdateUserExtensions(arg1 *helix.UpdateUserExtensionsPayload) (out0 helix.UserActiveExtensionSet, out1 error) {
	resp, out1 := self.helix.UpdateUserExtensions(arg1)
	if out1 != nil {
		return
	}
	if resp.ResponseCommon.ErrorMessage != "" {
			out1 = fmt.Errorf(
				"UpdateUserExtensions: (%d: %s): %s", resp.ResponseCommon.StatusCode, resp.ResponseCommon.ErrorMessage, resp.ResponseCommon.Error,
			)
			return 
	}
	out0 = resp.Data
	return
}

func (self *client) ValidateToken(arg1 string) (out0 bool, out1 *helix.ValidateTokenResponse, out2 error) {
	out0, out1, out2 = self.helix.ValidateToken(arg1)
	if out2 != nil {
		return
	}
	
	return
}

